cmake_minimum_required(VERSION 3.16)

project(tinyaes LANGUAGES C)
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_C_EXTENSIONS OFF)        # 禁用编译器扩展（保持标准）

add_library(tinyaes STATIC aes.h aes.c aes.hpp)
target_include_directories(tinyaes PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})